Bug 31856 - MinPhysicalRAM should be tested only when installing a app, not during an update
MinPhysicalRAM should be tested only when installing a app, not during an update
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P3 normal (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Felix Botner
: interim-2
Depends on: 31354 31891
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:48 CEST by Dirk Wiesenthal
Modified: 2013-11-19 06:41 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-06-28 16:48:35 CEST
The fix for the bug below disabled the test for MinPhysicalRAM completely for updates but leaves it untouched for installations.

We should test it in both cases the same way: Just warn the user that his machine does not meet the requirements but let him continue anyway.

+++ This bug was initially created as a clone of Bug #31354 +++

I have a UCS 3.1 (1024MB memory) with ox 6.2 and a NON-key-ID license. Then i switched to the test appcenter to update my ox to 7.2. But there is no update Button.

presumption:

There is not enough free memory. The ox app defines "MinPhysicalRAM=640" but my running system has only

-> free -m
             total       used       free     shared    buffers     cached
Mem:          1002        915         87          0          6        167

But it is ox itself that uses all this memory. At the moment, i need 2 * MinPhysicalRAM to update my ox app (or stop ox before the update).

I think it is better not to test MinPhysicalRAM when updating a app, or?
Comment 1 Dirk Wiesenthal univentionstaff 2013-09-05 12:54:06 CEST
Fixed since
  univention-management-console-module-appcenter (3.0.21-1)
Comment 2 Felix Botner univentionstaff 2013-09-19 15:59:47 CEST
OK - warning during installation
OK - no warning during update if old.MinPhysicalRAM == new.MinPhysicalRAM
OK - warning during update if new.MinPhysicalRAM > old.MinPhysicalRAM
OK - no warning if no MinPhysicalRAM is set
OK - Changelog
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:41:22 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".